Delete a user tag

Delete the specified user tag. Once deleted, the tag can no longer be associated with users.

POST https://api.moi.matrixorigin.cn/v5/user/tag/delete

Preparation before calling

First select a user tag and confirm that it is no longer needed.

Prepare a personal access token with the required permissions for the target workspace and the target workspace ID.

Request parameters

curl -X POST "https://api.moi.matrixorigin.cn/v5/user/tag/delete" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "id": 1001
  }'

Parameter

Type

Required

Description

id

integer

Yes

Tag ID.

Successful response

On success, returns the deleted tag ID.

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "id": 12
  }
}

Field

Type

Description

code

string

OK on success.

msg

string

OK on success.

data.id

integer

Deleted tag ID.

Error response

{
  "code": "INVALID_ARGUMENT",
  "msg": "Invalid request parameters",
  "data": null
}

Field

Type

Description

code

string

Error code.

msg

string

Error message.

data

null

Last updated on